Antom, leading provider of tailored payment solutions

notifyTransfer

POST /v1/aba/funds/notifyTransfer

Antom sends notifications of the transfer result with this interface. You can set up the URL for receiving transfer notifications by specifying the transferToDetail.transferNotifyUrl field or from portal configuration when calling createTransfer API.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is ​20​, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferRequestId String  REQUIRED

The unique ID assigned by the merchant to identify a transfer request.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferId String  REQUIRED

The unique ID assigned by Antom to identify a transfer.

More information:

  • Maximum length: 64 characters

transferResult Object  REQUIRED

The result of the transfer request.

Show child parameters

transferFinishTime Datetime  

The finishing time of a transfer.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

transferFromDetail Object  REQUIRED

Transfer details submitted by the payer.

Show child parameters

transferToDetail Object  REQUIRED

Transfer details for the beneficiary.

Show child parameters

businessSceneCode String  

The code that represents the transfer business scenario. Valid value is:

  • THIRD_PARTY_TRANSFER: Account-to-account transfer (the value of payee is ANTOM_BIZ_ACCOUNT).

More information:

  • Maximum length: 64 characters

Response parameters

result Object  REQUIRED

Indicates whether this SPI is called successfully. 

Show child parameters
API Explorer

Request

Request Body

Response

Response Body

Result processing logic

For different request results, different actions need to be taken. See the following list for details:

Result status

Description

S

This indicates the SPI call succeeded.

F

This indicates the SPI call failed.

For more information on why the call failed, see result.resultCode tables.

U

This indicates the SPI call result is unknown. The merchant can call this SPI again.


Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

The transfer is created successfully and being processed. Call the inquiryTransfer API for the transfer result.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact our Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

transferResult.resultCode

CodeValueMessageFurther action
SUCCESSSsuccess.

 No further action is needed.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact our Technical Support Team to resolve the issue.